### Method

# Gtk CellArea cell_set

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_cell_set (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* first_prop_name,
      ...
    )

#### Description [src]

Sets one or more cell properties for `cell` in `area`.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer` which is a cell inside `area`.

  The data is owned by the caller of the method.

`first_prop_name`

  Type: `const char*`

  The name of the first cell property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A `NULL`-terminated list of property names and values, starting with `first_prop_name`.